package com.hai.model;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 油卡订单
 * @author hurui
 */
public class OilCardOrderModel {

    private String orgName;
    private String merPhone;
    private String orderNo;
    private String gasOrderNo;
    private Integer payType;
    private String payTypeName;
    private String memCardNo;
    private BigDecimal totalPrice;
    private BigDecimal deductionPrice;
    private BigDecimal payRealPrice;
    private Integer status;
    private String statusName;
    private String goodsName;
    private String gasOilNo;
    private String gasGunNo;
    private String gasPriceGun;
    private String platformPriceGun;
    private Date createTime;
    private Date payTime;
    private Date refundTime;

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getMerPhone() {
        return merPhone;
    }

    public void setMerPhone(String merPhone) {
        this.merPhone = merPhone;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getGasOrderNo() {
        return gasOrderNo;
    }

    public void setGasOrderNo(String gasOrderNo) {
        this.gasOrderNo = gasOrderNo;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public String getPayTypeName() {
        return payTypeName;
    }

    public void setPayTypeName(String payTypeName) {
        this.payTypeName = payTypeName;
    }

    public String getMemCardNo() {
        return memCardNo;
    }

    public void setMemCardNo(String memCardNo) {
        this.memCardNo = memCardNo;
    }

    public BigDecimal getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice;
    }

    public BigDecimal getDeductionPrice() {
        return deductionPrice;
    }

    public void setDeductionPrice(BigDecimal deductionPrice) {
        this.deductionPrice = deductionPrice;
    }

    public BigDecimal getPayRealPrice() {
        return payRealPrice;
    }

    public void setPayRealPrice(BigDecimal payRealPrice) {
        this.payRealPrice = payRealPrice;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getStatusName() {
        return statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGasOilNo() {
        return gasOilNo;
    }

    public void setGasOilNo(String gasOilNo) {
        this.gasOilNo = gasOilNo;
    }

    public String getGasGunNo() {
        return gasGunNo;
    }

    public void setGasGunNo(String gasGunNo) {
        this.gasGunNo = gasGunNo;
    }

    public String getGasPriceGun() {
        return gasPriceGun;
    }

    public void setGasPriceGun(String gasPriceGun) {
        this.gasPriceGun = gasPriceGun;
    }

    public String getPlatformPriceGun() {
        return platformPriceGun;
    }

    public void setPlatformPriceGun(String platformPriceGun) {
        this.platformPriceGun = platformPriceGun;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Date getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }
}
